# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/93371a34-49d3-4e47-79d1-2c18e787486d/volume/rsync-recipes/pycryptodomex-3.9.4-python_2.7-on-osx, last modified Thu Nov 21 14:32:08 2019
# ------------------------------------------------

package:
    name: pycryptodomex
    version: 3.9.4
source:
    fn: pycryptodomex-3.9.4.tar.gz
    patches:
        - 0001-Make-load_lib-CONDA_PREFIX-aware.patch
    sha256: 22d970cee5c096b9123415e183ae03702b2cd4d3ba3f0ced25c4e1aba3967167
    url: https://pypi.io/packages/source/p/pycryptodomex/pycryptodomex-3.9.4.tar.gz
build:
    number: '0'
    script: '/opt/concourse/worker/volumes/live/93371a34-49d3-4e47-79d1-2c18e787486d/volume/pycryptodomex_1574369448302/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
        -m pip install . --no-deps --ignore-installed -vvv '
    string: py27h1de35cc_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
    host:
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py27_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - ncurses 6.1 h0a44026_1
        - pip 19.3.1 py27_0
        - python 2.7.17 h97142e2_0
        - readline 7.0 h1de35cc_5
        - setuptools 41.6.0 py27_0
        - sqlite 3.30.1 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - wheel 0.33.6 py27_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - gmp
        - python >=2.7,<2.8.0a0
test:
    imports:
        - Cryptodome
        - Cryptodome.Cipher
        - Cryptodome.Hash
        - Cryptodome.IO
        - Cryptodome.Math
        - Cryptodome.Protocol
        - Cryptodome.PublicKey
        - Cryptodome.Random
        - Cryptodome.SelfTest
        - Cryptodome.SelfTest.Cipher
        - Cryptodome.SelfTest.Hash
        - Cryptodome.SelfTest.IO
        - Cryptodome.SelfTest.Math
        - Cryptodome.SelfTest.Protocol
        - Cryptodome.SelfTest.PublicKey
        - Cryptodome.SelfTest.Random
        - Cryptodome.SelfTest.Signature
        - Cryptodome.SelfTest.Util
        - Cryptodome.Signature
        - Cryptodome.Util
    requires:
        - psutil
about:
    description: 'PyCryptodome is a self-contained Python package of low-level cryptographic

        primitives.

        '
    dev_url: https://github.com/Legrandin/pycryptodome
    doc_url: https://www.pycryptodome.org/en/latest/
    home: http://www.pycryptodome.org
    license: Public Domain/BSD 2-Clause/OCB/MPIR
    license_file: LICENSE.rst
    summary: Cryptographic library for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
